# kparts Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KParts::PartSelectEvent Class Reference

This event is sent when a part is selected or deselected. More...

`#include <event.h>`

Inheritance diagram for KParts::PartSelectEvent:

[legend]
Collaboration diagram for KParts::PartSelectEvent:

[legend]
List of all members.

## Public Member Functions

| PartSelectEvent (bool selected, Part *part, QWidget *widget)
bool | selected () const
Part * | part () const
QWidget * | widget () const

## Static Public Member Functions

bool | test (const QEvent *event)

## Detailed Description

This event is sent when a part is selected or deselected.

See also:
  KParts::PartManager::setSelectionPolicy

Definition at line 97 of file event.h.

The documentation for this class was generated from the following files:

- event.h
- event.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:27:03 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001